com.h3c.of.lib.msg

## Enum TableFeaturePropType

- java.lang.Object
- - java.lang.Enum<TableFeaturePropType>
  - - com.h3c.of.lib.msg.TableFeaturePropType

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<TableFeaturePropType>

      public enum TableFeaturePropType
      extends Enum<TableFeaturePropType>
      implements OfpCodeBasedEnum

  Designates feature properties of a table; Since 1.3.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY_ACTIONS` Apply Actions property; Since 1.3.
    `APPLY_ACTIONS_MISS` Apply Actions for table-miss; Since 1.3.
    `APPLY_SETFIELD` Apply Set-Field property; Since 1.3.
    `APPLY_SETFIELD_MISS` Apply Set-Field for table-miss; Since 1.3.
    `EXPERIMENTER` Experimenter property; Since 1.3.
    `EXPERIMENTER_MISS` Experimenter for table-miss; Since 1.3.
    `INSTRUCTIONS` Instructions property; Since 1.3.
    `INSTRUCTIONS_MISS` Instructions for table-miss; Since 1.3.
    `MATCH` Match property; Since 1.3.
    `NEXT_TABLES` Next Table property; Since 1.3.
    `NEXT_TABLES_MISS` Next Table for table-miss; Since 1.3.
    `WILDCARDS` Wildcards property; Since 1.3.
    `WRITE_ACTIONS` Write Actions property; Since 1.3.
    `WRITE_ACTIONS_MISS` Write Actions for table-miss; Since 1.3.
    `WRITE_SETFIELD` Write Set-Field property; Since 1.3.
    `WRITE_SETFIELD_MISS` Write Set-Field for table-miss; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static TableFeaturePropType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TableFeaturePropType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTRUCTIONS

          public static final TableFeaturePropType INSTRUCTIONS

      Instructions property; Since 1.3.

    - #### INSTRUCTIONS_MISS

          public static final TableFeaturePropType INSTRUCTIONS_MISS

      Instructions for table-miss; Since 1.3.

    - #### NEXT_TABLES

          public static final TableFeaturePropType NEXT_TABLES

      Next Table property; Since 1.3.

    - #### NEXT_TABLES_MISS

          public static final TableFeaturePropType NEXT_TABLES_MISS

      Next Table for table-miss; Since 1.3.

    - #### WRITE_ACTIONS

          public static final TableFeaturePropType WRITE_ACTIONS

      Write Actions property; Since 1.3.

    - #### WRITE_ACTIONS_MISS

          public static final TableFeaturePropType WRITE_ACTIONS_MISS

      Write Actions for table-miss; Since 1.3.

    - #### APPLY_ACTIONS

          public static final TableFeaturePropType APPLY_ACTIONS

      Apply Actions property; Since 1.3.

    - #### APPLY_ACTIONS_MISS

          public static final TableFeaturePropType APPLY_ACTIONS_MISS

      Apply Actions for table-miss; Since 1.3.

    - #### MATCH

          public static final TableFeaturePropType MATCH

      Match property; Since 1.3.

    - #### WILDCARDS

          public static final TableFeaturePropType WILDCARDS

      Wildcards property; Since 1.3.

    - #### WRITE_SETFIELD

          public static final TableFeaturePropType WRITE_SETFIELD

      Write Set-Field property; Since 1.3.

    - #### WRITE_SETFIELD_MISS

          public static final TableFeaturePropType WRITE_SETFIELD_MISS

      Write Set-Field for table-miss; Since 1.3.

    - #### APPLY_SETFIELD

          public static final TableFeaturePropType APPLY_SETFIELD

      Apply Set-Field property; Since 1.3.

    - #### APPLY_SETFIELD_MISS

          public static final TableFeaturePropType APPLY_SETFIELD_MISS

      Apply Set-Field for table-miss; Since 1.3.

    - #### EXPERIMENTER

          public static final TableFeaturePropType EXPERIMENTER

      Experimenter property; Since 1.3.

    - #### EXPERIMENTER_MISS

          public static final TableFeaturePropType EXPERIMENTER_MISS

      Experimenter for table-miss; Since 1.3.

  - ### Method Detail

    - #### values

          public static TableFeaturePropType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableFeaturePropType c : TableFeaturePropType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableFeaturePropType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.